%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-logging
Version:          3.3.0
Release:          %mkrel 1
Group:            Development/Java
Summary:          The JBoss Logging Framework
License:          ASL 2.0
URL:              https://github.com/jboss-logging/jboss-logging
Source0:          https://github.com/jboss-logging/jboss-logging/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    git
BuildRequires:    graphviz
BuildRequires:    maven-local
BuildRequires:    mvn(jdepend:jdepend)
BuildRequires:    mvn(log4j:log4j:12)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.apache.logging.log4j:log4j-api)
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:    mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.apiviz:apiviz)
BuildRequires:    mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires:    mvn(org.slf4j:slf4j-api)

%description
This package contains the JBoss Logging Framework.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-logging-%{namedversion}

%pom_xpath_set pom:properties/pom:version.org.apache.log4j 12

# SLF4j 1.7 upgrade
sed -i "s|map = MDC.getCopyOfContextMap();|map = (Map) MDC.getCopyOfContextMap();|" \
 src/main/java/org/jboss/logging/Slf4jLoggerProvider.java

# Unneeded task
%pom_remove_plugin :maven-source-plugin

cp -p src/main/resources/META-INF/LICENSE.txt .
sed -i 's/\r//' LICENSE.txt

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt




%changelog
* Thu May 11 2017 neoclust <neoclust> 3.3.0-1.mga6
+ Revision: 1100234
- New version 3.3.0
- Second rebuild of the java stack

  + daviddavid <daviddavid>
    - fix FTBFS rhbz#1307647
    - fix BR list and use BR mvn()-like
    - introduce license macro
    - fix some rpmlint problem

* Fri Feb 26 2016 neoclust <neoclust> 3.1.4-5.mga6
+ Revision: 979530
- First rebuild of the java stack
- sync package jboss-logging with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 3.1.4-1.mga5
+ Revision: 807655
- Sync with Fedora 21 (update to 3.1.4)

* Wed Oct 15 2014 umeabot <umeabot> 3.1.3-4.mga5
+ Revision: 749989
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 3.1.3-2.mga4
+ Revision: 541192
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 3.1.3-1.mga4
+ Revision: 495337
- New version

* Sat Jan 12 2013 umeabot <umeabot> 3.1.0-4.mga3
+ Revision: 355063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 3.1.0-3.mga3
+ Revision: 331811
- Java Stack Mass Rebuild

* Fri Mar 02 2012 dmorgan <dmorgan> 3.1.0-2.mga2
+ Revision: 216971
- Clean spec file

  + gil <gil>
    - update to 3.1.0.GA
    - update to 3.1.0.CR1
    - imported package jboss-logging


* Thu Jul 28 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-1
- Initial packaging

